summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/d-i_check_jobs.sh3
-rwxr-xr-xbin/d-i_manual.sh8
2 files changed, 7 insertions, 4 deletions
diff --git a/bin/d-i_check_jobs.sh b/bin/d-i_check_jobs.sh
index 84393141..2caa15a1 100755
--- a/bin/d-i_check_jobs.sh
+++ b/bin/d-i_check_jobs.sh
@@ -59,9 +59,8 @@ done
rm $TMPFILE
#
-# check for missing d-i manual language build jobs
+# FIXME: implement check for missing d-i manual language build jobs
#
-# FIXME: implement this check ;-)
echo "Warning: check for missing d-i manual build jobs not implemented"
#
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
index d59ff7b2..ceeabfef 100755
--- a/bin/d-i_manual.sh
+++ b/bin/d-i_manual.sh
@@ -59,10 +59,14 @@ build_language() {
init_workspace
#
# if $1 is not given, build the whole manual,
-# else just the language $1 as html
+# else just the language $1 in format $2
#
if [ "$1" = "" ] ; then
pdebuild_package
else
- build_language $1 html
+ if [ "$2" = "" ] ; then
+ echo "Error: need format too."
+ exit 1
+ fi
+ build_language $1 $2
fi